package descriptors;


/** Descriptor for general JET data signal 
 *  
 * Holds information of where signal is and nothing about what the signal 
 * is or what it contains. Use for making requests 
 * 
 */
public abstract class SignalDesc {
	
	public SignalDesc() {
	}
	
	public SignalDesc(String path) {
		setFromPath(path);		
	}
	
	/** Return path to signal file in disk cache. */
	final public String path(){ return toString(); }
	public abstract void setFromPath(String path);
	
	public abstract String getPathFormat();

	
	
}
